* {
    font-family: Arial, Helvetica, sans-serif;
    box-sizing: border-box;
}

html,
body {
    max-width: 100%;
    margin: auto;
    font-size: 20px;
    padding: 0px;
    height: 100%;
    width: 100%;
    position: relative;
    min-height: 100%;
}

#userOverview {
    float: right;
    margin-right: 10px;
    margin-top: -9px;
    z-index: 1;
}

#user,
#deleteUser,
#logout {
    display: inline-block;
}

#user {
    font-size: 15px;
}

#deleteUser,
#logout {
    background-color: #555;
    color: white;
    padding: 4px 5px;
    border: none;
    cursor: pointer;
    opacity: 0.8;
}

#signupLoginBox {
    position: fixed;
    right: 15px;
    border: 3px solid #f1f1f1;
    z-index: 9;
    max-width: 300px;
    padding: 10px;
    background-color: white;
    text-align: center;
    top: 50%;
    left: 50%;
    margin-top: -280px;
    margin-left: -150px;
}

#signupLoginBox input[type=email],
#signupLoginBox input[type=password],
#postTask input[type=text] {
    width: 100%;
    padding: 15px;
    margin: 5px 0 22px 0;
    border: none;
    background: #f1f1f1;
}

#signupLoginBox input[type=email]:focus,
#signupLoginBox input[type=password]:focus,
#postTask input[type=text]:focus {
    background-color: #ddd;
    outline: none;
}

#signupLoginBox input[type=submit],
#postTask #createTask {
    background-color: #4CAF50;
    color: white;
    padding: 16px 20px;
    border: none;
    cursor: pointer;
    width: 100%;
    margin-bottom: 10px;
    opacity: 0.8;
}

#infoBox {
    color: gray;
    font-style: italic;
}

#filter {
    background-color: ghostwhite;
    height: 40px;
    padding-top: 8px;
    width: 100%;
}

#filterBox {
    width: 100%;
}

#filter input {
    display: none;
}

#filter input:checked+label {
    background-color: red;
}

#filter label,
#addNewTask {
    outline: none;
    background-color: #4CAF50;
    color: white;
    border: none;
    cursor: pointer;
    opacity: 0.8;
    width: 100%;
    padding: 10px 10px;
}

#addNewTask {
    position: fixed;
    left: 50%;
    margin-left: -50px;
    width: 100px;
    font-size: 15px;
    background-color: gray;
    font-weight: bold;
    opacity: 0.5;
    transition: background-color 2s;
    z-index: 5;
}

#addNewTask:hover {
    background-color: ghostwhite;
    color: black;
    transition: color 0.5s;
}

#singleTask {
    text-align: center;
    border: outset 3px;
    background-color: ghostwhite;
    display: inline-block;
    width: 25%;
}

@media screen and (max-width: 800px) {
    #singleTask {
        width: 50%;
    }
}

@media screen and (max-width: 600px) {
    #userOverview {
        width: 95%;
    }
}

@media screen and (max-width: 400px) {
    #singleTask {
        width: 100%;
    }
    #getTask {
        width: 350px;
        margin-left: -175px;
    }
}

#singleTask:hover {
    border: inset 3px;
}

#singleTask button {
    outline: none;
    background-color: #0e3a0e;
    color: white;
    border: none;
    cursor: pointer;
    opacity: 0.8;
    font-size: 25px;
    padding: 15px 25px;
    margin-bottom: 15px;
}

#singleTask button:hover,
#postTask #createTask:hover,
#logout:hover,
#deleteUser:hover,
#signupLoginBox input[type=submit]:hover {
    background-color: red;
}

#singleTask button:active,
#postTask #createTask:active,
#logout:active,
#deleteUser:active,
#signupLoginBox input[type=submit]:active {
    background-color: darkred;
}

#singleTask h1,
#getTask #name,
#getTask #details {
    word-wrap: break-word;
    overflow: hidden;
    text-overflow: ellipsis;
    height: 100px;
}

#singleTask h3 {
    padding: 10px;
}

#postTask {
    display: none;
    position: fixed;
    height: 230px;
    width: 300px;
    top: 50%;
    left: 50%;
    margin-top: -240px;
    margin-left: -150px;
    border: 3px solid #f1f1f1;
    z-index: 9;
    padding: 10px;
    background-color: white;
}

#getTask {
    display: none;
    position: fixed;
    text-align: center;
    background-color: ghostwhite;
    border: 3px solid #f1f1f1;
    width: 400px;
    height: auto;
    top: 50%;
    left: 50%;
    margin-top: -280px;
    margin-left: -200px;
    z-index: 9;
    padding: 10px;
}

#getTask button {
    background-color: transparent;
    border: none;
}

.editor {
    float: right;
    font-size: 18px;
    outline: none;
}

.editorDel {
    font-size: 18px;
    float: left;
    outline: none;
}

#getTask #name,
#getTask #details {
    height: auto;
}

#cover {
    position: fixed;
    background-color: rgb(78, 71, 71);
    opacity: 1;
    width: 100%;
    height: 100%;
    z-index: 8;
    transition: opacity 1s;
}

#messageBox {
    text-align: center;
    font-weight: bold;
    font-family: monospace;
    font-size: 100px;
    margin-top: 200px;
    top: 50%;
    left: 50%;
    display: none;
}